GET api/externalHealthInformationLinks/search?patientExternalId={patientExternalId}&alreadySent={alreadySent}&page={page}&itemPerPage={itemPerPage}
Returns a list of external health information links.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| patientExternalId |
ID of the patient in the integrating system. |
string |
Default value is empty string ("") |
| alreadySent |
Use this parameter to only get items that were not previously returned by this method (see also ExternalHealthInformationLinkSent). |
boolean |
None. |
| page |
Page number requested (search results are paginated). |
integer |
Default value is 1 |
| itemPerPage |
Items to return on each page. See page parameter above. |
integer |
Default value is 10 |
Body Parameters
None.
Response Information
Resource Description
ListModelOfExternalHealthInformationLinkModel| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalItems | integer |
None. |
|
| ItemsPerPage | integer |
None. |
|
| CurrentPage | integer |
None. |
|
| TotalPages | integer |
None. |
|
| FirstRowOnPage | integer |
None. |
|
| LastRowOnPage | integer |
None. |
|
| Rows | Collection of ExternalHealthInformationLinkModel |
None. |
Response Formats
application/json, text/json
Sample:
{
"totalItems": 1,
"itemsPerPage": 2,
"currentPage": 3,
"totalPages": 4,
"firstRowOnPage": 5,
"lastRowOnPage": 6,
"rows": [
{
"patientId": "905497c5-aea0-4b0e-bc40-94d2a1ae2db8",
"patientExternalId": "sample string 2",
"link": "sample string 3",
"comment": "sample string 4",
"label": "sample string 5",
"physicianNotes": "sample string 6",
"alreadySent": true
},
{
"patientId": "905497c5-aea0-4b0e-bc40-94d2a1ae2db8",
"patientExternalId": "sample string 2",
"link": "sample string 3",
"comment": "sample string 4",
"label": "sample string 5",
"physicianNotes": "sample string 6",
"alreadySent": true
}
]
}
application/xml, text/xml
Sample:
<ListModelOfExternalHealthInformationLinkModelmY3_P7WyR xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
<CurrentPage>3</CurrentPage>
<FirstRowOnPage>5</FirstRowOnPage>
<ItemsPerPage>2</ItemsPerPage>
<LastRowOnPage>6</LastRowOnPage>
<Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExternalHealthInformationLinks">
<d2p1:ExternalHealthInformationLinkModel>
<d2p1:AlreadySent>true</d2p1:AlreadySent>
<d2p1:Comment>sample string 4</d2p1:Comment>
<d2p1:Label>sample string 5</d2p1:Label>
<d2p1:Link>sample string 3</d2p1:Link>
<d2p1:PatientExternalId>sample string 2</d2p1:PatientExternalId>
<d2p1:PatientId>905497c5-aea0-4b0e-bc40-94d2a1ae2db8</d2p1:PatientId>
<d2p1:PhysicianNotes>sample string 6</d2p1:PhysicianNotes>
</d2p1:ExternalHealthInformationLinkModel>
<d2p1:ExternalHealthInformationLinkModel>
<d2p1:AlreadySent>true</d2p1:AlreadySent>
<d2p1:Comment>sample string 4</d2p1:Comment>
<d2p1:Label>sample string 5</d2p1:Label>
<d2p1:Link>sample string 3</d2p1:Link>
<d2p1:PatientExternalId>sample string 2</d2p1:PatientExternalId>
<d2p1:PatientId>905497c5-aea0-4b0e-bc40-94d2a1ae2db8</d2p1:PatientId>
<d2p1:PhysicianNotes>sample string 6</d2p1:PhysicianNotes>
</d2p1:ExternalHealthInformationLinkModel>
</Rows>
<TotalItems>1</TotalItems>
<TotalPages>4</TotalPages>
</ListModelOfExternalHealthInformationLinkModelmY3_P7WyR>